uniform sampler2D tex;

const float blurSize = 1.0/1024.0;

void main()
{
	vec4 sum = vec4(0.0);
	vec2 texCoord = gl_TexCoord[0].st;

	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 9.0*blurSize)) * 1.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 8.0*blurSize)) * 2.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 7.0*blurSize)) * 3.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 6.0*blurSize)) * 4.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 5.0*blurSize)) * 5.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 4.0*blurSize)) * 6.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 3.0*blurSize)) * 7.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 2.0*blurSize)) * 8.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t - 1.0*blurSize)) * 9.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t)) * 10.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 1.0*blurSize)) * 9.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 2.0*blurSize)) * 8.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 3.0*blurSize)) * 7.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 4.0*blurSize)) * 6.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 5.0*blurSize)) * 5.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 6.0*blurSize)) * 4.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 7.0*blurSize)) * 3.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 8.0*blurSize)) * 2.0/100.0;
	sum += texture2D(tex, vec2(texCoord.s, texCoord.t + 9.0*blurSize)) * 1.0/100.0;

	gl_FragColor = sum;
}
